/*
    kopeteuserpreferences.cpp  -  Kopete User Preferences

    Copyright (c) 2002      by Chris TenHarmsel       <ctenha56@calvin.edu>

    Kopete    (c) 2002-2003 by the Kopete developers  <kopete-devel@kde.org>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/

#include "kopeteuserpreferences.h"
#include "kopeteuserpreferences.moc"              
#include "kopeteaway.h"
#include "kopeteawayconfigui.h" // Away message configuration UI

#include <qframe.h>
#include <qlayout.h>
#include <ktabctl.h>
#include <klocale.h>
#include <ktabctl.h>
#include <qspinbox.h>
#include <qcheckbox.h>

KopeteUserPreferencesConfig::KopeteUserPreferencesConfig( QWidget *parent )
: ConfigModule( i18n( "Away Preferences" ), i18n( "Here you can edit away preferences" ), QString::fromLatin1( "date" ), parent )
{
	QVBoxLayout *topLayout = new QVBoxLayout( this );
	
	mAwayConfigUI = new KopeteAwayConfigUI(this);
	topLayout->add(mAwayConfigUI);
}

void KopeteUserPreferencesConfig::save()
{
	KopeteAway::getInstance()->setAutoAwayTimeout(mAwayConfigUI->mAwayTimeout->value()*60);
	KopeteAway::getInstance()->setGoAvailable(mAwayConfigUI->mGoAvailable->isChecked());
	/* Tells KopeteAway to save it's messages */
	KopeteAway::getInstance()->save();

}

void KopeteUserPreferencesConfig::reopen()
{
	/* Updates the info in the AwayConfig UI from the KopeteAway object */
	mAwayConfigUI->updateView();
}
